> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer's addresses

> Using this endpoint, you can get all addresses of a customer. <br /> By specifying the query parameters `offset` and `limit`, you can narrow down the search results. You can also `sort` the results in an ascending or descending order. Additionally, with the `isDeleted` query parameter, you can filter for either deleted or non-deleted customers. When no query parameter is specified, by default, you get up to 10 records.



## OpenAPI

````yaml customers.openapi get /customers/{customerId}/customer-address
openapi: 3.0.0
info:
  title: Customers
  description: >-
    The fabric **Customers** API is used to create and manage details of
    storefront customers, also referred to as shoppers. The `Customers` or
    `Customer Address` APIs provide features for store admins to manage their
    customers' details and addresses. The `Customer Self' API provide features
    for customers or shoppers to independently manage their own details.
  version: 3.0.0
  x-audience: external-public
  contact:
    name: fabric Support
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
servers:
  - url: https://api.fabric.inc/v3
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Customer Profile
    description: >-
      These endpoints provide the features for store admins to create and manage
      customers' details.
  - name: Customer Address
    description: >-
      These endpoints provide the features for store admins to create and manage
      customers' addresses.
  - name: Customer Self
    description: >-
      These endpoints provide the feature for customers or shoppers to
      independently manage their details in the storefront.
paths:
  /customers/{customerId}/customer-address:
    parameters:
      - $ref: '#/components/parameters/xFabricTenantId'
      - $ref: '#/components/parameters/xFabricRequestId'
      - $ref: '#/components/parameters/customerIdPathParam'
    get:
      tags:
        - Customer Address
      summary: Get customer's addresses
      description: >-
        Using this endpoint, you can get all addresses of a customer. <br /> By
        specifying the query parameters `offset` and `limit`, you can narrow
        down the search results. You can also `sort` the results in an ascending
        or descending order. Additionally, with the `isDeleted` query parameter,
        you can filter for either deleted or non-deleted customers. When no
        query parameter is specified, by default, you get up to 10 records.
      operationId: listCustomersAddresses
      parameters:
        - name: offset
          in: query
          description: >-
            The number of records to skip before returning records. For example,
            when offset is 20 and limit's 10, this endpoint returns records from
            21 to 30.
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 0
            default: 0
        - name: limit
          in: query
          description: The maximum number of records per page.
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 10
            default: 10
        - name: sort
          in: query
          description: >-
            The criteria to sort results, where `-` indicates a descending order
            and `+` indicates an ascending order. You can sort the following
            fields - `updatedAt`, `country`, `city`, and `region`.
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: '-updatedAt'
        - name: isDeleted
          in: query
          description: >-
            A flag indicating whether only the deleted addresses must be
            included in the response. Set to `true` to include only the deleted
            addresses of the customers and `false` to exclude the deleted
            addresses.
          style: form
          explode: true
          schema:
            type: boolean
            example: false
            enum:
              - false
              - true
      responses:
        '200':
          description: OK
          headers:
            x-fabric-request-id:
              $ref: dae96e30-e72e-4091-be69-ce7f63e78aa2
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listCustomerAddressResponse'
        '400':
          $ref: '#/components/responses/badRequest'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/customerNotFound'
        '500':
          $ref: '#/components/responses/internalServerError'
components:
  parameters:
    xFabricTenantId:
      name: x-fabric-tenant-id
      in: header
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      schema:
        type: string
        example: 517fa9dfd42d8b00g1o3k312
    xFabricRequestId:
      name: x-fabric-request-id
      in: header
      description: A UUID of the request.
      schema:
        type: string
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
    customerIdPathParam:
      in: path
      name: customerId
      description: >-
        A 24-character system-generated ID of the customer. This is returned in
        the response of the `POST /customers` endpoint.
      required: true
      style: simple
      schema:
        type: string
        example: 61a558b1b155125f02be7fb1
  schemas:
    listCustomerAddressResponse:
      description: The list of customer addresses for the customerId.
      type: object
      properties:
        query:
          $ref: '#/components/schemas/Query'
        data:
          description: addresses of the sent customer
          type: array
          items:
            $ref: '#/components/schemas/customerAddressResponse'
    Query:
      type: object
      description: The pagination criteria.
      properties:
        offset:
          type: number
          description: >-
            The number of records to skip before returning records. For example,
            when offset is 20 and limit's 10, you get records from 21 to 30.
            When they're not specified, you get up to 10 records.
          example: 0
        limit:
          type: number
          description: The maximum number of records per page.
          example: 20
        count:
          type: number
          description: The total number of records in the response.
          example: 100
    customerAddressResponse:
      required:
        - id
        - address
        - isDeleted
        - createdAt
        - updatedAt
      type: object
      properties:
        id:
          type: string
          description: A 24-character system-generated ID of the address.
          example: 61604a30fdfacd0009816e44
          uniqueItems: true
        address:
          $ref: '#/components/schemas/commonAddress'
        additionalAttributes:
          description: A placeholder for additional info, in key-value pairs.
          type: object
          example:
            landmark: Beach
        isDeleted:
          type: boolean
          description: >-
            A flag indicating whether the address is deleted. `true` indicates
            the address is deleted and `false` indicates otherwise.
          example: false
        isDefault:
          description: >-
            A flag indicating whether the address is the default one.`true`
            indicates the given address is the default address and `false`
            indicates otherwise.
          type: boolean
          example: false
        deletedAt:
          description: The time when the address was deleted, in UTC format.
          type: string
          format: date-time
          example: '2023-08-30T23:20:42.822Z'
          nullable: true
        createdAt:
          description: The time when the address was created, in UTC format.
          type: string
          format: date-time
          example: '2023-08-30T23:20:42.822Z'
        updatedAt:
          description: The time when the address was the last updated, in UTC format.
          type: string
          format: date-time
          example: '2023-08-30T23:20:42.822Z'
          nullable: true
    message:
      description: The response message.
      type: object
      properties:
        type:
          description: A machine-readable code.
          type: string
          example: SUCCESS
        message:
          description: A human-friendly message corresponding to the `type`.
          type: string
          example: Success message
      required:
        - type
        - message
    commonAddress:
      type: object
      description: The address details.
      required:
        - type
      properties:
        addressLine1:
          description: The first line of the address.
          type: string
          example: 123 Main St.
        addressLine2:
          description: The second line of the address.
          type: string
          example: Suite 100
        addressLine3:
          description: The third line of the address.
          type: string
          example: Seventh floor
        addressLine4:
          description: The fourth line of the address.
          type: string
          example: 'Attention: Pat E. Doe'
        city:
          description: The city name in the address.
          type: string
          example: Seattle
        region:
          description: The region or state name in the address.
          type: string
          example: WA
        postalCode:
          description: The postal or ZIP code of the address.
          type: string
          example: 98121
        county:
          description: The administrative division or county within a country or state.
          type: string
          example: King County
        country:
          description: >-
            The country code, which can be a full name, or an ISO 3166-1 alpha-2
            or alpha-3 code.
          type: string
          example: US
        type:
          description: The address type.
          type: string
          enum:
            - BILLING
            - SHIPPING
          example: BILLING
        latitude:
          description: >-
            The geographical `latitude` used with `longitude` to locate the
            exact address. The coordinates are provided in decimal degrees
            format, with negative values indicating locations to the west.
          type: number
          format: double
          example: 47.6205
        longitude:
          description: >-
            The geographical `longitude` used with `latitude` to locate the
            exact address. The coordinates are provided in decimal degrees
            format, with negative values indicating locations to the west.
          type: number
          format: double
          example: -122.3493
  responses:
    badRequest:
      description: Bad request
      headers:
        x-fabric-request-id:
          $ref: dae96e30-e72e-4091-be69-ce7f63e78aa2
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/message'
          examples:
            invalidAccountProvided:
              value:
                type: INVALID_ACCOUNT_PROVIDED
                message: Invalid account provided for the request.
    forbidden:
      description: Forbidden Request
      headers:
        x-fabric-request-id:
          description: Unique request ID
          schema:
            type: string
            example: 263e731c-45c8-11ed-b878-0242ac120002
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/message'
          example:
            type: REQUEST_DENIED
            message: Forbidden
    customerNotFound:
      description: The resource isn't found
      headers:
        x-fabric-request-id:
          $ref: dae96e30-e72e-4091-be69-ce7f63e78aa2
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/message'
          example:
            type: CUSTOMER_NOT_FOUND
            message: Data with the given identifier isn't found
    internalServerError:
      description: The request is received but an internal error occurred
      headers:
        x-fabric-request-id:
          $ref: dae96e30-e72e-4091-be69-ce7f63e78aa2
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/message'
          example:
            type: INTERNAL_SERVER_ERROR
            message: Internal server error
  securitySchemes:
    bearerAuth:
      description: The access token.
      type: http
      scheme: bearer
      bearerFormat: JWT

````